Start typing to search.

API Reference

Create a dashboard template

View Markdown
POST /api/job-templates/{id}/dashboard-templates

Create a dashboard template

Operation IDcreateDashboardTemplate

Authentication

  • BearerAuth·http bearer·API key token (envoy_<hex>). Create keys from Settings → API Keys — see Using the API.

Path parameters

idintegerrequired

Resource ID

Request body

This request body is required.

Content typeapplication/json

requestobject
3 properties
namestringrequired
descriptionstring
yaml_contentstringrequired

Success response body

201Dashboard template created

Dashboard template created

Content typeapplication/json

responseobject
9 properties
idinteger
job_template_idinteger
namestring
descriptionstring | null
yaml_contentstring
statusstring
created_atstring · date-time
updated_atstring | null · date-time
linked_dashboard_countinteger

Present on GET detail — count of job dashboards referencing this template

Error responses

400Validation error

Validation error

Content typeapplication/json

responseobject
2 properties
errorstring
messagestring
Example response
{
  "error": "VALIDATION_ERROR",
  "message": "Invalid input"
}

404Resource not found

Resource not found

Content typeapplication/json

responseobject
2 properties
errorstring
messagestring
Example response
{
  "error": "NOT_FOUND",
  "message": "Resource not found"
}